Announcement

Collapse
No announcement yet.

broken CMS

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • [CMS] broken CMS

    I'm running vB 4.1.10. I tried to enable CMS but it appears to be broken. I tried upgrading to 4.2 on a test server hoping that would fix it but it didn't. So I refreshed the test server back to a copy of my currently running site.

    Here's what I get when I click the home button when not logged in:
    Message

    An unexpected error has occurred. Please try again later. If this error continues to occur, please notify the administrator.



    Here's what I get when logged in as administrator:

    Rerouting recursion with: error/500 on line 225 in /var/www/html/vb/router.php
    #0 /var/www/html/vb/router.php(272): vB_Router::getResponse('error/500')
    #1 /var/www/html/vb/router.php(272): vB_Router::getResponse('error/500')
    #2 /var/www/html/vb/bootstrap.php(58): vB_Router::getResponse()
    #3 /var/www/html/content.php(30): require_once('/var/www/html/v...')
    #4 {main}


    Fatal error: Rerouting recursion with: error/500 on line 225 in [path]/vb/router.php in [path]/vb/vb.php on line 287
    #0 vb_error_handler(256, Rerouting recursion with: error/500 on line 225 in /var/www/html/vb/router.php , /var/www/html/vb/vb.php, 287, Array ([exception] => vB_Exception_Critical Object ([] => ,[] => ,[] => ,[] => ,[] => ,[] => ,[] => Rerouting recursion with: error/500,[] => ,[] => 0,[] => /var/www/html/vb/router.php,[] => 225,[] => Array ([0] => Array ([file] => /var/www/html/vb/router.php,[line] => 272,[function] => getResponse,[class] => vB_Router,[type] => ::,[args] => Array ([0] => error/500)),[1] => Array ([file] => /var/www/html/vb/router.php,[line] => 272,[function] => getResponse,[class] => vB_Router,[type] => ::,[args] => Array ([0] => error/500)),[2] => Array ([file] => /var/www/html/vb/bootstrap.php,[line] => 58,[function] => getResponse,[class] => vB_Router,[type] => ::,[args] => Array ()),[3] => Array ([file] => /var/www/html/content.php,[line] => 30,[args] => Array ([0] => /var/www/html/vb/bootstrap.php),[function] => require_once)),[] => ),[code] => 256)) #1 trigger_error(Rerouting recursion with: error/500 on line 225 in /var/www/html/vb/router.php , 256) called at [/var/www/html/vb/vb.php:287] #2 vB::handleException(vB_Exception_Critical Object ([] => ,[] => ,[] => ,[] => ,[] => ,[] => ,[] => Rerouting recursion with: error/500,[] => ,[] => 0,[] => /var/www/html/vb/router.php,[] => 225,[] => Array ([0] => Array ([file] => /var/www/html/vb/router.php,[line] => 272,[function] => getResponse,[class] => vB_Router,[type] => ::,[args] => Array ([0] => error/500)),[1] => Array ([file] => /var/www/html/vb/router.php,[line] => 272,[function] => getResponse,[class] => vB_Router,[type] => ::,[args] => Array ([0] => error/500)),[2] => Array ([file] => /var/www/html/vb/bootstrap.php,[line] => 58,[function] => getResponse,[class] => vB_Router,[type] => ::,[args] => Array ()),[3] => Array ([file] => /var/www/html/content.php,[line] => 30,[args] => Array ([0] => /var/www/html/vb/bootstrap.php),[function] => require_once)),[] => ))


    Any ideas?
    Last edited by dougdirac; Wed 8 Aug '12, 7:04pm.

  • #2
    Do you have any modifications installed?

    If so, disable them.

    If not, can you please try downloading the ZIP package from the members area and re-uploading it, preferably using "Auto" for the upload-type?



    Dustin
    http://quikmsg.net/strtoupper/ - Convert lowercase text and code to all uppercase!
    http://quikmsg.net/strtolower/ - Convert uppercase text and code to all lowercase!

    Comment


    • #3
      Sorry can you be a bit more detailed. I'm a novice.

      Which specific Zip package should I download? And when you say upload, you mean overwrite some files in my site directory? What do you mean "Auto" upload type?

      Comment


      • #4
        Originally posted by dougdirac View Post
        Sorry can you be a bit more detailed. I'm a novice.

        Which specific Zip package should I download? And when you say upload, you mean overwrite some files in my site directory? What do you mean "Auto" upload type?
        Sure, sorry about that.

        If you go to http://members.vbulletin.com/, you can download the vBulletin ZIP software package. (That's the members' area.)

        Yes, when you upload the files you can overwrite the current vBulletin files. (Don't upload the config.php or install.php files.)

        If you're using FileZilla, at the top of the window, you should see "Transfer," click on that, then under "Transfer type," select "Auto."



        Dustin
        http://quikmsg.net/strtoupper/ - Convert lowercase text and code to all uppercase!
        http://quikmsg.net/strtolower/ - Convert uppercase text and code to all lowercase!

        Comment


        • #5
          Ahh.. thanks. I'm using SecureFX for ftp. So should I get the files of the vB version I'm currently using (4.1.10) or should I get the 4.2 files?

          Comment


          • #6
            You need to download the files for the version you're running, so 4.1.10. Once the issue is fixed, consider upgrading to 4.2.0 or at least 4.1.12.



            Dustin
            http://quikmsg.net/strtoupper/ - Convert lowercase text and code to all uppercase!
            http://quikmsg.net/strtolower/ - Convert uppercase text and code to all lowercase!

            Comment


            • #7
              Ok, I'm gonna give this a try. So first should disable all plug-ins? Including CMS and blogs?

              Comment


              • #8
                That's not necessary.

                You can easily disable them all by adding the following code right under <?php in the existing file config.php:

                PHP Code:
                define('DISABLE_HOOKS'true); 
                After doing that, you'll need to save that and upload it to your server.

                If that doesn't fix the issues, then download the files and re-upload as said earlier.



                Dustin
                http://quikmsg.net/strtoupper/ - Convert lowercase text and code to all uppercase!
                http://quikmsg.net/strtolower/ - Convert uppercase text and code to all lowercase!

                Comment


                • #9
                  welp, no luck. I uploaded all those files and still no change in the behavior?

                  Comment


                  • #10
                    You'll have to open a ticket with AdminCP/FTP/ perhaps even SSH information if you have it. Nothing I can do from my end, really.

                    Sorry about that. Never seen this error before.

                    But before you do that, what version of PHP are you running?

                    Best,

                    Dustin
                    http://quikmsg.net/strtoupper/ - Convert lowercase text and code to all uppercase!
                    http://quikmsg.net/strtolower/ - Convert uppercase text and code to all lowercase!

                    Comment


                    • #11
                      I do have a ticket open, but the back and forth is slow. You at least gave me something to try. Thanks for your effort.

                      PHP 5.3.3 (cli) (built: Jul 3 2012 16:53:21)
                      Copyright (c) 1997-2010 The PHP Group
                      Zend Engine v2.3.0, Copyright (c) 1998-2010 Zend Technologies

                      Comment


                      • #12
                        Hmmm, PHP 5.3.3. What is your PCRE version?

                        Please don't PM or VM me for support - I only help out in the threads.
                        vBulletin Manual & vBulletin 4.0 Code Documentation (API)
                        Want help modifying your vbulletin forum? Head on over to vbulletin.org
                        If I post CSS and you don't know where it goes, throw it into the additional.css template.

                        W3Schools &lt;- awesome site for html/css help

                        Comment


                        • #13
                          pcre

                          PCRE (Perl Compatible Regular Expressions) Support enabled
                          PCRE Library Version 7.8 2008-09-05

                          Comment


                          • #14
                            Wow, that is a really, really old version of PCRE. Usually PHP uses at least version 8.x. I was looking to see if it was a common version, 8.21, which has a bug in it. But, you aren't running that version.

                            Please don't PM or VM me for support - I only help out in the threads.
                            vBulletin Manual & vBulletin 4.0 Code Documentation (API)
                            Want help modifying your vbulletin forum? Head on over to vbulletin.org
                            If I post CSS and you don't know where it goes, throw it into the additional.css template.

                            W3Schools &lt;- awesome site for html/css help

                            Comment


                            • #15
                              any other ideas?

                              Comment

                              Related Topics

                              Collapse

                              Working...
                              X